## python-coverage 3.6

=== requirements.txt ===
nose
mock
tox
pylint
sphinx
