## python-coverage 3.2

=== debian/changelog ===
python-coverage (3.2-0ubuntu1) maverick; urgency=low

  * Package taken from Debian sponsorship queue: (LP: #395599)
    http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=python-coverage

  [ Ben Finney ]
  * The “Artificial Conscience” release.
  * New upstream version. Primary user-visible changes:
    + Command-line interface re-worked with sub-commands.
    + Inspection now traverses egg packages.
    + Branch coverage recording and reporting.
    + New XML format for generated reports.
  * debian/control:
    + Remove Lars Wirzenius from all roles at his request.
    + Conform to ‘Standards-Version: 3.8.4’. No changes required.
  * debian/python-coverage.install, debian/python-coverage.manpages:
    + Use ‘dh_installman(1)’ to install man pages.
  * debian/control, debian/rules:
    + Add ‘python-coverage-dbg’ package for debugging symbols.
    + Use newer ‘debhelper’ to ensure automated build for all supported
      versions and for debug packages.
  * debian/copyright:
    + Update copyright information for latest upstream source.
  * debian/source/format:
    + Convert packaging to source format “3.0 (quilt)”.
  * debian/python-coverage.dirs:
    + Removed, the ‘/usr/bin/’ directory is created by ‘setup.py’.
  * debian/rules:
    + Remove, during ‘clean’ target, files that clobber upstream source.
    + Specify installation of Python package to ‘/usr/’ hierarchy (not
      default).

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 15 Jul 2010 10:37:20 +1000

python-coverage (3.0.1-1) unstable; urgency=low

  * The “Rods and Cones” release.
  * New upstream version. Primary user-visible changes:
    + Remove tracer recursion limit.
    + Skip coverage of ‘coverage’ library code.
    + Run Python source files in “universal newline mode”.
  * debian/control:
    + Update email address for Lars Wirzenius.
    + Comply with ‘Standards-Version: 3.8.3’. No changes required.
    + Update ‘Homepage’ field.
    + Add ‘VCS-bzr’ and ‘VCS-Browser’ fields.
    + Build for all supported Python versions.
  * debian/README.source:
    + Remove, no longer applicable.
  * debian/pyversions:
    + Specify Python versions supported.

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 02 Oct 2009 14:16:46 +1000

python-coverage (3.0-1) unstable; urgency=low

  * The “ladny” release.

  [ Ben Finney ]
  * New upstream version. Primary user-visible changes:
    + Major overhaul: refactored into a Python package, with some
      functionality implemented in C for speed.
    + Defaults to skipping measurement of standard library coverage.
    + HTML output now available, via ‘-b’ option.
    (Closes: bug#535764)
  * debian/watch:
    + Primary upstream source distribution channel is now the Cheese Shop.
    + Deal with crazy-arse version comparison semantics.
  * debian/control, debian/rules, debian/compat:
    + Comply with ‘Standards-Version: 3.8.2’. No changes required.
    + Migrate from CDBS to debhelper 7.
  * debian/control, debian/rules, debian/preinst:
    + Migrate from python-central to python-support.
  * debian/rules:
    + Install upstream changelog.
  * debian/control, debian/rules:
    + Package is arch-dependent now that it uses C extension.
  * debian/control:
    + Set myself as Maintainer, demote Lars Wirzenius to Uploader at his
      request. Thanks, Lars!

 -- Ben Finney <ben+debian@benfinney.id.au>  Sun, 05 Jul 2009 09:06:58 +1000

python-coverage (2.85-1) unstable; urgency=low
  
  [ Lars Wirzenius ]
  * debian/control: Added missing DM-Upload-Allowed field.

  [ Ben Finney ]
  * New upstream version:
    + Use os.realpath as part of the fixing of filenames so that symlinks
      won't confuse things. Thanks, Patrick Mezard.
      Closes: bug#495963.
  * debian/rules:
    + Fix bogus executable permission for non-program files from upstream
      tarball.
  * debian/copyright:
    + Re-work to proposed machine-parseable format.
  * debian/control:
    + Comply with ‘Standards-Version: 3.8.1’.
    + Add ‘Depends: ${misc:Depends}’ for debhelper.

 -- Ben Finney <ben+debian@benfinney.id.au>  Thu, 19 Mar 2009 23:25:23 +1100

python-coverage (2.80-2) unstable; urgency=medium

  [ Ben Finney ]
  * debian/control
    + Fix missing Depends: python-pkg-resources. Thanks to Sami Liedes for
      the bug report. (Closes: bug#496001)

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 22 Aug 2008 10:02:53 +1000

python-coverage (2.80-1) unstable; urgency=low

  [ Ben Finney ]
  * New upstream release.
  * debian/control
    + Added Ben Finney to Uploaders.
    + Set Standards-Version to 3.8.0 (no changes required).
    + Add Build-Depends-Indep: python-setuptools, as now used by upstream
      packaging.
    + Upgrade Build-Depends-Indep: python-central to version that doesn't
      require 'debian/pycompat'.
  * debian/pycompat
    + Remove obsolete file.
  * debian/watch
    + Added, pointing to upstream author's site.
  * debian/rules
    + Upstream packaging installs program to '/usr/bin/coverage', move to
      '/usr/bin/python-coverage' to conform with existing versions.

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 30 Jun 2008 23:44:57 +1000

python-coverage (2.78-1) unstable; urgency=low

  * New upstream release. Thank you to Ben Finney for helping with the
    packaging. (Closes: #454982)
  * Homepage should be among control fields now (Closes: #456498)
  * Standards-Version upgraded to 3.7.3. No changes required.
  * Changed section to python.
  * Added python (>= 2.3) to Build-Depends, because of 'debian/rules
    clean' needing it.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 11 May 2008 14:37:15 +0300

python-coverage (2.6-1) unstable; urgency=low

  * Initial version. Closes: #405230.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 19 Aug 2007 22:53:59 +0300
