=== debian/control ===
Source: python-coverage
Maintainer: Ben Finney <ben+debian@benfinney.id.au>
DM-Upload-Allowed: yes
Section: python
Priority: optional
Standards-Version: 3.8.4
Build-Depends:
    debhelper (>= 7.3.5),
    python-support (>= 0.90),
    python-setuptools,
    python-all-dev (>= 2.3),
    python-all-dbg,
    python (>= 2.3)
Homepage: http://nedbatchelder.com/code/coverage/
VCS-bzr: http://bzr.debian.org/bzr/collab-maint/python-coverage/python-coverage.debian/
VCS-Browser: http://bzr.debian.org/loggerhead/collab-maint/python-coverage/python-coverage.debian/

Package: python-coverage
Architecture: any
Depends:
    python-pkg-resources,
    ${python:Depends},
    ${shlibs:Depends},
    ${misc:Depends}
Description: code coverage tool for Python
 The ‘coverage’ library measures which parts (statements) of a Python
 program are executed while it is run. This is useful for testing:
 those parts of a program that are not executed by the tests have not
 been tested.
 .
 This package contains the Python ‘coverage’ library and the
 ‘python-coverage’ program to perform and report coverage tests.

Package: python-coverage-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    python-coverage (= ${binary:Version}),
    python-dbg,
    ${misc:Depends}
Description: code coverage tool for Python – debug symbols
 The ‘coverage’ library measures which parts (statements) of a Python
 program are executed while it is run. This is useful for testing:
 those parts of a program that are not executed by the tests have not
 been tested.
 .
 This package contains the debugging symbols for the C extension
 libraries in ‘python-coverage’.
