=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules

PACKAGE_NAME = python-coverage
debug_package_name = ${PACKAGE_NAME}-dbg
PACKAGE_INSTALL_BIN_DIR = debian/${PACKAGE_NAME}/usr/bin

DISTRIBUTION_NAME = coverage
EGG_INFO_DIR = ${DISTRIBUTION_NAME}.egg-info

GENERATED_FILES += ${EGG_INFO_DIR}/PKG-INFO ${EGG_INFO_DIR}/SOURCES.txt

PYVERS = $(shell pyversions -vs)


.PHONY: build
build:
	: # Set executable mode off for all non-packaging files.
	chmod -x $$(find . -path ./debian -prune -o ! -type d -print)

	dh build

.PHONY: clean
clean:
	dh clean
	rm -rf ${GENERATED_FILES}

.PHONY: install
install: build
	dh install

.PHONY: binary-indep
binary-indep: build install

.PHONY: binary-arch
binary-arch: build install
	dh binary-arch

.PHONY: binary
binary: build binary-indep binary-arch

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=${debug_package_name}

.PHONY: override_dh_auto_install
override_dh_auto_install: ${PYVERS:%=python-install%}

python-install%:
	python$* setup.py install \
	    --root $(CURDIR)/debian/${PACKAGE_NAME} \
	    --prefix usr

.PHONY: override_dh_install
override_dh_install:
	mv ${PACKAGE_INSTALL_BIN_DIR}/coverage \
	    ${PACKAGE_INSTALL_BIN_DIR}/python-coverage
	dh_install

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

.PHONY: override_dh_pysupport
override_dh_pysupport:
	dh_pysupport /usr/share/${PACKAGE_NAME}


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :
