## python-coverage 3.4

=== debian/changelog ===
python-coverage (3.4-3ubuntu1) quantal; urgency=low

  * Merge from Debian testing (LP: #1007137).  Remaining changes:
    - debian/control: Suggests libjs-jquery, libjs-jquery-tablesorter.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 31 May 2012 17:02:47 -0400

python-coverage (3.4-3) unstable; urgency=medium

  * debian/rules:
    Revert mistaken method of consolidating doc directories, which doesn't
    work because it asks ‘dpkg’ to violate Policy (Closes: bug#672224).

 -- Ben Finney <ben+debian@benfinney.id.au>  Thu, 10 May 2012 10:21:16 +1000

python-coverage (3.4-2) unstable; urgency=low

  * debian/control:
    + Conform to ‘Standards-Version: 3.9.3’. No additional changes required.
    + Update VCS fields following changes at Alioth.
    + Ensure shlibs dependencies for each arch-dependent package.
  * debian/compat, debian/control:
    + Increase minimum ‘debhelper’ dependency to one which supports the
      rules targets we're now using.
      (Closes: bug#659643)
  * debian/copyright:
    + Conform to copyright format version 1.0.
  * debian/rules:
    + Use main package doc directory (via symlink) for debug package.
  * debian/rules, debian/*.install:
    + More fiddling with installation of files for debug package.

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 26 Mar 2012 23:35:13 +1100

python-coverage (3.4-1ubuntu1) precise; urgency=low

  * Bump version number, introducing Ubuntu delta from last upload
    which satisfied requirements for python-coverage MIR of dropping
    libjs-jquery to Suggests. LP: #981101

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Mon, 23 Apr 2012 10:38:29 +0100

python-coverage (3.4-1build2) precise; urgency=low

  *  Suggests libjs-jquery.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Apr 2012 01:01:20 -0700

python-coverage (3.4-1build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:09:24 +0000

python-coverage (3.4-1) unstable; urgency=low

  * The “Mravaljamier” release.
  * New upstream version (Closes: bug#600672).
    Primary user-visible changes:
    + Settings are now read from a .coveragerc file.
    + Enable coverage measurement when Python starts.
    + Support for Python 2.7 and 3.2 opcodes.
    + Finer control over what gets recorded or reported.
  * debian/preinst:
    + Remove: Squeeze is released, so we no longer need to maintain the
      special cleanup of ‘python-central’ mess.
  * debian/copyright:
    + Conform to current DEP-5 format.
    + Update with current copyright information.
  * debian/control:
    + Conform to ‘Standards-Version: 3.9.2’. No additional changes required.
  * debian/control, debian/rules:
    + Switch to ‘dh_python2’ packaging helper.
    + Depend on ECMAScript libraries needed for HTML reports.
    + Remove duplicate ECMAScript libraries.
  * debian/patches/01.refactor-handling-static-files.patch,
    debian/patches/02.use-system-js-libraries.patch:
    + Use the Debian system ECMAScript libraries
      (Closes: bug#596212).

 -- Ben Finney <ben+debian@benfinney.id.au>  Wed, 27 Jul 2011 16:23:25 +1000

python-coverage (3.2-1) unstable; urgency=low

  * The “Artificial Conscience” release.
  * New upstream version. Primary user-visible changes:
    + Command-line interface re-worked with sub-commands.
    + Inspection now traverses egg packages.
    + Branch coverage recording and reporting.
    + New XML format for generated reports.
  * debian/control:
    + Remove Lars Wirzenius from all roles at his request.
    + Conform to ‘Standards-Version: 3.8.4’. No changes required.
  * debian/python-coverage.install, debian/python-coverage.manpages:
    + Use ‘dh_installman(1)’ to install man pages.
  * debian/control, debian/rules:
    + Add ‘python-coverage-dbg’ package for debugging symbols.
    + Use newer ‘debhelper’ to ensure automated build for all supported
      versions and for debug packages.
  * debian/copyright:
    + Update copyright information for latest upstream source.
  * debian/source/format:
    + Convert packaging to source format “3.0 (quilt)”.
  * debian/python-coverage.dirs:
    + Removed, the ‘/usr/bin/’ directory is created by ‘setup.py’.
  * debian/rules:
    + Remove, during ‘clean’ target, files that clobber upstream source.
    + Specify installation of Python package to ‘/usr/’ hierarchy (not
      default).

 -- Ben Finney <ben+debian@benfinney.id.au>  Wed, 03 Feb 2010 15:03:59 +1100
