=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: python-coverage
-Maintainer: Ben Finney <ben+debian@benfinney.id.au>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ben Finney <ben+debian@benfinney.id.au>
 DM-Upload-Allowed: yes
 Section: python
 Priority: optional
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 Build-Depends:
-    debhelper (>= 7.3.5),
-    python-support (>= 0.90),
+    debhelper (>= 8.1~),
     python-setuptools,
-    python-all-dev (>= 2.3),
+    python-all-dev (>= 2.6.6-3~),
     python-all-dbg,
-    python (>= 2.3)
+    python (>= 2.6.6-3~)
 Homepage: http://nedbatchelder.com/code/coverage/
-VCS-bzr: http://bzr.debian.org/bzr/collab-maint/python-coverage/python-coverage.debian/
-VCS-Browser: http://bzr.debian.org/loggerhead/collab-maint/python-coverage/python-coverage.debian/
+VCS-bzr: http://anonscm.debian.org/bzr/collab-maint/python-coverage/python-coverage.debian/
+VCS-Browser: http://anonscm.debian.org/loggerhead/collab-maint/python-coverage/python-coverage.debian/
 
 Package: python-coverage
 Architecture: any
+Suggests: libjs-jquery, libjs-jquery-tablesorter
 Depends:
     python-pkg-resources,
     ${python:Depends},
@@ -37,8 +38,10 @@
 Priority: extra
 Depends:
     python-coverage (= ${binary:Version}),
-    python-dbg,
+    ${shlibs:Depends},
     ${misc:Depends}
+Recommends:
+    python-dbg
 Description: code coverage tool for Python – debug symbols
  The ‘coverage’ library measures which parts (statements) of a Python
  program are executed while it is run. This is useful for testing:
