=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules

PACKAGE_NAME = python-coverage
debug_package_name = ${PACKAGE_NAME}-dbg
package_install_root = debian/tmp
package_install_bin_dir = ${package_install_root}/usr/bin
debug_object_glob = *_d.so

DISTRIBUTION_NAME = coverage
egg_info_dir = ${DISTRIBUTION_NAME}.egg-info

duplicate_libraries :=

HTMLFILES_DIR = coverage/htmlfiles
duplicate_libraries += $(addprefix ${HTMLFILES_DIR}/, \
	jquery-1.3.2.min.js \
	jquery.tablesorter.min.js \
	)

GENERATED_FILES += ${egg_info_dir}/PKG-INFO ${egg_info_dir}/SOURCES.txt


.PHONY: build
build: remove-duplicate-libraries build-arch build-indep
	dh $@ --with python2

.PHONY: build-arch
build-arch: build-stamp
	dh $@ --with python2

.PHONY: build-indep
build-indep: build-stamp
	dh $@ --with python2

build-stamp:
	touch $@

.PHONY: remove-duplicate-libraries
remove-duplicate-libraries:
	$(RM) ${duplicate_libraries}

.PHONY: clean
clean:
	dh $@ --with python2
	$(RM) -r ${GENERATED_FILES}

.PHONY: install
install: build
	dh $@ --with python2 --package ${debug_package_name}
	dh $@ --with python2 --exclude ${debug_object_glob}


.PHONY: binary-indep
binary-indep: build install

.PHONY: binary-arch
binary-arch: build install
	dh $@ --with python2

.PHONY: binary
binary: build binary-indep binary-arch


.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=${debug_package_name}

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	mv ${package_install_bin_dir}/coverage \
	    ${package_install_bin_dir}/python-coverage

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :
