## python-coverage 3.6

=== debian/changelog ===
python-coverage (3.6-0ubuntu6) saucy; urgency=low

  * 02.use-system-js-libraries.patch: Update to deal with the
    removal of jquery.isonscreen.js and jquery.hotkeys.js 
  * Add libjs-jquery-hotkeys and libjs-jquery-isonscreen to Suggests
    (not Depends as they are not in main).
  * debian/rules: Make the override_dh_auto_build target depend on
    the remove-bundled-libraries target so the bundled JavaScript
    libraries are removed no matter which arch the package is being
    built on (LP: #1215175).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 19 Sep 2013 16:47:07 -0400

python-coverage (3.6-0ubuntu5) saucy; urgency=low

  * Install python-coverage instead of coverage, like we used to. 
  * Fix some other bad .install entries too. 
  * Break and Replace python-coverage from python3-coverage due to the
    inadvertant shipping of duplicate files in the past.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 12 Jul 2013 17:31:58 +0100

python-coverage (3.6-0ubuntu4) saucy; urgency=low

  * debian/python-coverage.install: fix file conflicts. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 11 Jul 2013 11:18:42 -0500

python-coverage (3.6-0ubuntu3) saucy; urgency=low

  * debian/conrol,debian/rules: Add python2/python3 support. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 10 Jul 2013 08:14:26 -0500

python-coverage (3.6-0ubuntu2) raring; urgency=low

  * Fix a typo in 02.use-system-js-libraries.patch that was causing
    NameErrors (LP: #1109090).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 19 Mar 2013 19:25:38 +0400

python-coverage (3.6-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Dropped:
    - debian/patches/01.refactor-handling-static-files.patch: No longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 25 Jan 2013 09:06:51 -0600
