=== debian/control ===
--- 
+++ 
@@ -10,20 +10,43 @@
     python-setuptools,
     python-all-dev (>= 2.6.6-3~),
     python-all-dbg,
-    python (>= 2.6.6-3~)
+    python (>= 2.6.6-3~),
+    python3-setuptools,
+    python3-all-dev,
+    python3-all-dbg,
+    python3
 Homepage: http://nedbatchelder.com/code/coverage/
 VCS-bzr: http://anonscm.debian.org/bzr/collab-maint/python-coverage/python-coverage.debian/
 VCS-Browser: http://anonscm.debian.org/loggerhead/collab-maint/python-coverage/python-coverage.debian/
 
 Package: python-coverage
 Architecture: any
-Suggests: libjs-jquery, libjs-jquery-tablesorter
+Suggests: libjs-jquery, libjs-jquery-tablesorter, libjs-jquery-hotkeys, libjs-jquery-isonscreen
 Depends:
     python-pkg-resources,
     ${python:Depends},
     ${shlibs:Depends},
     ${misc:Depends}
-Description: code coverage tool for Python
+Description: code coverage tool for Python (python2)
+ The ‘coverage’ library measures which parts (statements) of a Python
+ program are executed while it is run. This is useful for testing:
+ those parts of a program that are not executed by the tests have not
+ been tested.
+ .
+ This package contains the Python ‘coverage’ library and the
+ ‘python-coverage’ program to perform and report coverage tests.
+
+Package: python3-coverage
+Architecture: any
+Suggests: libjs-jquery, libjs-jquery-tablesorter, libjs-jquery-hotkeys, libjs-jquery-isonscreen
+Breaks: python-coverage (<< 3.6-0ubuntu5)
+Replaces: python-coverage (<< 3.6-0ubuntu5)
+Depends:
+    python3-pkg-resources,
+    ${python3:Depends},
+    ${shlibs:Depends},
+    ${misc:Depends}
+Description: code coverage tool for Python (python3)
  The ‘coverage’ library measures which parts (statements) of a Python
  program are executed while it is run. This is useful for testing:
  those parts of a program that are not executed by the tests have not
@@ -42,7 +65,7 @@
     ${misc:Depends}
 Recommends:
     python-dbg
-Description: code coverage tool for Python – debug symbols
+Description: code coverage tool for Python – debug symbols (python2)
  The ‘coverage’ library measures which parts (statements) of a Python
  program are executed while it is run. This is useful for testing:
  those parts of a program that are not executed by the tests have not
@@ -50,3 +73,22 @@
  .
  This package contains the debugging symbols for the C extension
  libraries in ‘python-coverage’.
+
+Package: python3-coverage-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends:
+    python3-coverage (= ${binary:Version}),
+    ${shlibs:Depends},
+    ${misc:Depends}
+Recommends:
+    python3-dbg
+Description: code coverage tool for Python – debug symbols (python3)
+ The ‘coverage’ library measures which parts (statements) of a Python
+ program are executed while it is run. This is useful for testing:
+ those parts of a program that are not executed by the tests have not
+ been tested.
+ .
+ This package contains the debugging symbols for the C extension
+ libraries in ‘python-coverage’.
