## python-coverage 3.7+dfsg.1

=== debian/changelog ===
python-coverage (3.7+dfsg.1-3) unstable; urgency=low

  * The “Gul Makai” release.
  * debian/rules, debian/*-dbg.install:
    + Build and install Python debug build of extension module.
      (Closes: bug#728548)
  * debian/control:
    + Update description for debug packages.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sun, 10 Nov 2013 17:25:29 +1100

python-coverage (3.7+dfsg.1-2) unstable; urgency=medium

  * The “Malala Yousafzai” release.
  * debian/rules:
    + Correct creation of version-specific resource directory symlink.
      (Closes: bug#727711)
  * debian/*.{pre,post}inst:
    + Make parameter handling more explicit.

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 29 Oct 2013 09:13:11 +1100

python-coverage (3.7+dfsg.1-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * debian/*.install:
    + Install files separately for Python 2 and Python 3 packages.
  
  [ Ben Finney ]
  * New upstream version (Closes: bug#635476).
  * debian/control:
    + Conform to ‘Standards-Version: 3.9.4’.
      * Remove obsolete field ‘DM-Upload-Allowed’.
  * debian/rules, debian/control:
    + Build binary packages for both Python 2 and Python 3.
      (Closes: bug#690575)
    + Remove more bundled ECMAScript libraries, declare dependencies on
      their Debian packages instead.
    + Demote ECMAScript dependencies (for HTML reports) to “Recommends”.
  * debian/rules, debian/*-dbg.postinst, debian/*.install:
    + Use main package doc directory (via symlink) for debug package.
  * debian/rules, debian/*.install, debian/*.links, debian/*.manpages:
    + Separate programs and manpages for Python 2 and Python 3.
    + Generate manpage from reStructuredText source.
    + Update the manpage document with current Coverage behaviour.
      (Closes: bug#496002)
    + Use main manpage for each versioned command.
  * debian/rules, debian/*.install, debian/*.links, debian/*.preinst:
    + Remove an existing platform-specific ‘htmlfiles’ directory; this
      package will create it as a symlink to the platform-independent
      location.
    + Install resource data files as platform-independent files.
      (Closes: bug#721676)
  * debian/control, debian/compat:
    + Use Debhelper >= 9 to get Debian compilation build flags.
  * debian/rules:
    + Send HTTP traffic to the “discard” service during packaging actions.
  * debian/watch, debian/repack:
    + Configure ‘uscan’ to re-pack upstream source tarball, removing
      non-DFSG-free obfuscated files. Thanks to Thomas Goirand and Stuart
      Prescott for advice on how to address this bug.
      (Closes: bug#726005)
  * debian/README.source, debian/source.lintian-overrides:
    + Explain how ‘uscan’ will get our upstream source.
  * debian/copyright:
    + Update copyright years.
  * debian/README.Debian:
    + Explain separate versioned packaging and program names.
  * debian/patches/:
    + 01.remove-resource-files-from-distutils-setup.patch:
      Don't treat resource data files as Python package data.
      (Closes: bug#723788)
    + 03.rename-public-programs.patch:
      Rename public programs to be clear what they're for.
    + Patches incorporated upstream:
      * 01.refactor-handling-static-files.patch
    + Updated patches:
      * 02.use-system-ecmascript-libraries.patch

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 15 Oct 2013 13:16:36 +1100
