=== debian/watch ===
# debian/watch
# Debian uscan file for python-coverage package.
# Manpage: uscan(1)

# Compulsory line, this is a version 3 file.
version=3

# Current version from Cheese Shop.
opts="uversionmangle=s/(\d)([a-z]\d+)$/$1~$2/,dversionmangle=s/\+dfsg\.\d+$//" \
    http://pypi.python.org/packages/source/c/coverage/coverage-(.+).tar.gz \
    debian debian/repack
