## python-coverage 3.7.1%2Bdfsg.1

=== debian/changelog ===
python-coverage (3.7.1+dfsg.1-1ubuntu7) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:42:57 +0000

python-coverage (3.7.1+dfsg.1-1ubuntu6) xenial; urgency=medium

  * Add back closing endif.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 26 Oct 2015 13:34:00 +0300

python-coverage (3.7.1+dfsg.1-1ubuntu5) xenial; urgency=medium

  * Drop wrong override_dh_auto_test target.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 26 Oct 2015 13:26:03 +0300

python-coverage (3.7.1+dfsg.1-1ubuntu4) xenial; urgency=medium

  * No-change rebuild for python3 defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Oct 2015 10:51:58 +0000

python-coverage (3.7.1+dfsg.1-1ubuntu3) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 21:31:58 +0000

python-coverage (3.7.1+dfsg.1-1ubuntu2) trusty; urgency=medium

  * No-change rebuild to drop support for Python 3.3.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 10:04:23 +0100

python-coverage (3.7.1+dfsg.1-1ubuntu1) trusty; urgency=medium

  * Merge with Debian unstable, remaining change:
    - Add python3-coverage.preinst to correctly handle upgrades from
      previous releases.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 07 Mar 2014 09:26:38 +0400

python-coverage (3.7.1+dfsg.1-1) unstable; urgency=medium

  * The “Ziauddin Yousafzai” release.
  * Urgency “medium” because we fix a bug of severity “serious”.
  * New upstream version.
    (Closes: bug#735359)
  * debian/patches/:
    + Patches incorporated upstream:
      * 02.use-system-ecmascript-libraries.patch
      Remaining patch files re-sequenced contiguously.
    + Add editor hints to patch files.
  * debian/repack:
    + Correct quoting of parameters (quote parameters used as filesystem
      entry names, don't quote parameters used as numbers).
  * debian/rules:
    + Explicitly replace shebang for programs needing default Python
      interpreter (Closes: bug#736121).
    + Correct generation of Python version strings for object code
      filenames (Closes: bug#740053).
      Thanks to Dmitry Shachnev for the bug report and patch.

 -- Ben Finney <ben+debian@benfinney.id.au>  Wed, 05 Mar 2014 13:14:27 +1100

python-coverage (3.7+dfsg.1-4ubuntu2) trusty; urgency=medium

  * Build for python 3.4.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2014 20:37:07 +0100

python-coverage (3.7+dfsg.1-4ubuntu1) trusty; urgency=medium

  * Add python3-coverage.preinst (based on existing python-coverage.preinst)
    to correctly handle upgrades from previous releases. Previously
    /usr/lib/python3/dist-packages/coverage/htmlfiles was a directory,
    now it is a symbolic link (see Debian #734850).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 20 Jan 2014 19:08:47 +0400

python-coverage (3.7+dfsg.1-4) unstable; urgency=medium

  * The “Thorpekai Yousafzai” release.
  * Urgency “medium” because we fix a bug of severity “serious”.
  * debian/python3-coverage-dbg.install, debian/rules:
    + Correct file glob for excluding Python 3 debug symbols files.
      (Closes: bug#734853, thanks to Dmitry Shachnev for help)
  * debian/control:
    + Conform to “Standards-Version: 3.9.5”. No additional changes required.
  * debian/rules, debian/source.lintian-overrides:
    + Add ‘get-orig-source’ target (as recommended by Policy §4.9).
    + Remove Lintian override, now satisfied.
  * debian/repack:
    + Pack the tarball according to recommendations in Developer's
      Reference §6.7.8.2.
  * debian/bzr-builddeb.conf:
    + Add this package's configuration for ‘bzr builddeb’.

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 13 Jan 2014 14:51:52 +1100
